exigrep: we need to run with perl 5.8.x
authorHeiko Schlittermann (HS12-RIPE) <hs@schlittermann.de>
Wed, 1 Nov 2017 21:38:43 +0000 (22:38 +0100)
committerHeiko Schlittermann (HS12-RIPE) <hs@schlittermann.de>
Wed, 1 Nov 2017 21:38:43 +0000 (22:38 +0100)
The defined-or operator '//' does not exist yet.

src/src/exigrep.src

index 9e5c7d8..5db01fe 100644 (file)
@@ -244,7 +244,8 @@ $pattern = quotemeta $pattern if $literal;
 # Start a pager if output goes to a terminal
 if (-t 1 and $use_pager)
   {
-  foreach ($ENV{PAGER}//(), 'less', 'more')
+  # for perl >= v5.10.x: foreach ($ENV{PAGER}//(), 'less', 'more')
+  foreach (defined $ENV{PAGER} ? $ENV{PAGER} : (), 'less', 'more')
     {
     local $ENV{LESS} .= ' --no-init --quit-if-one-screen';
     open(my $pager, '|-', $_) or next;